Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.types
Class UnsignedInt

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--org.apache.axis.types.UnsignedInt

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  UnsignedShort

public class UnsignedInt
extends java.lang.Number
implements java.lang.Comparable

Custom class for supporting primitive XSD data type UnsignedInt

Author:
  Chris Haddad
See Also:
  XML Schema 3.3.22, Serialized Form

Field Summary
`protected java.lang.Long` | `lValue`

Constructor Summary
`UnsignedInt()`
`UnsignedInt(long iValue)` ctor for UnsignedInt
`UnsignedInt(java.lang.String stValue)`

Method Summary
`byte` | `byteValue()`
`int` | `compareTo(java.lang.Object obj)`
`double` | `doubleValue()`
`boolean` | `equals(java.lang.Object obj)`
`float` | `floatValue()`
`int` | `hashCode()`
`int` | `intValue()`
`boolean` | `isValid(long iValue)` validate the value against the xsd definition
`long` | `longValue()`
`void` | `setValue(long iValue)` validates the data and sets the value for the object.
`short` | `shortValue()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### lValue

    protected java.lang.Long lValue

Constructor Detail

### UnsignedInt

    public UnsignedInt()

### UnsignedInt

    public UnsignedInt(long iValue)
                throws java.lang.NumberFormatException

  ctor for UnsignedInt
  Throws:
    `java.lang.NumberFormatException` - will be thrown if validation fails

### UnsignedInt

    public UnsignedInt(java.lang.String stValue)
                throws java.lang.NumberFormatException

Method Detail

### setValue

    public void setValue(long iValue)
                  throws java.lang.NumberFormatException

  validates the data and sets the value for the object.
  Parameters:
    `int` - value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isValid

    public boolean isValid(long iValue)

  validate the value against the xsd definition

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### byteValue

    public byte byteValue()

  Overrides:
    `byteValue` in class `java.lang.Number`

### shortValue

    public short shortValue()

  Overrides:
    `shortValue` in class `java.lang.Number`

### intValue

    public int intValue()

  Overrides:
    `intValue` in class `java.lang.Number`

### longValue

    public long longValue()

  Overrides:
    `longValue` in class `java.lang.Number`

### doubleValue

    public double doubleValue()

  Overrides:
    `doubleValue` in class `java.lang.Number`

### floatValue

    public float floatValue()

  Overrides:
    `floatValue` in class `java.lang.Number`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.